/*
 * Copyright (C) 1998 - 2004
 * Lehrstuhl fuer Technische Informatik, RWTH-Aachen, Germany
 *
 * This file is part of the LTI-Computer Vision Library (LTI-Lib)
 *
 * The LTI-Lib is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License (LGPL)
 * as published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * The LTI-Lib is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with the LTI-Lib; see the file LICENSE.  If
 * not, write to the Free Software Foundation, Inc., 59 Temple Place -
 * Suite 330, Boston, MA 02111-1307, USA.
 */

/*
 * \file   ltiTriangularMatrixType.cpp
 * \author Peter Doerfler
 * \date   07.07.2003
 * 
 * $Id: ltiTriangularMatrixType.cpp,v 1.2 2004/08/06 09:20:18 doerfler Exp $
 */


#include "ltiTriangularMatrixType.h"

namespace lti {


  bool write(ioHandler& handler, const eTriangularMatrixType& ttype) {

    bool b = true;
    
    switch(ttype) {
      case Lower:
        b=handler.write("Lower");
        break;
      case Upper:
        b=handler.write("Upper");
        break;
      default:
        b=false;
        handler.setStatusString("undefined eTriangularMatrixType");
        handler.write("Unknown");
    }              

    return b;
  }
  
  
  bool read(ioHandler& handler, eTriangularMatrixType& triangularType) {
    
    bool b=true;
    std::string tmp;
    if (handler.read(tmp)) {
      
      if (tmp=="Lower" || tmp=="lower") {
        triangularType=Lower;
      } else if (tmp=="Upper" || tmp=="upper") {
        triangularType=Upper;
      } else {
        b=false;
        handler.setStatusString("undefined eTriangularMatrixType");
        triangularType=Lower;
      } 
      
    } else {

      b=false;
      handler.setStatusString("could not read std::string from stream");
    }      
    
    return b;
  }
  
}
